
Application: gvSIG desktop - gvSIG bugs #4869
Falla al cargar una capa intentando reconocer la proyeccion.
05/03/2018 04:52 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.4.1-2852 (rev. org.gvsig.desktop-2.0.222)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al cargar una capa falla con el siguiente mensaje de error:

Can't create ResulSet from sentece 'SELECT coord_ref_sys_code FROM
EPSG_COORDINATEREFERENCESYSTEM WHERE coord_ref_sys_kind = 'geographic 2D'
AND REPLACE(REPLACE(LOWER(coord_ref_sys_name),' / ',' '),'-',' ') LIKE
'%etrs89 lat/long's, degrees essentially, same as ll84%' AND deprecated = 0'
in connection
'jdbc:hsqldb:file:/C:/Users/Admin/gvSIG/plugins/org.gvsig.projection.app.jcrs/db/temp-pid8716/Cached
databases/EPSG'. 

El error lo reporta un usuario en la lista de gvsig_usuarios.

http://osgeo-org.1560.x6.nabble.com/problemas-version-2-4-portable-td5363293.html

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4531: Projections for Po... Closed 07/10/2017

Associated revisions
Revision 841 - 05/08/2018 11:55 AM - Joaquín  del Cerro Murciano

refs #4531,  #4832, #4869 . Refactorizado la identificacion de la proyeccion a partir de WKT. Se han recuperado algoritmos de varias versiones
anteriores y se aplican uno tras otro hasta obtener una identificacion de la proyeccion.

History
#1 - 05/07/2018 01:02 PM - Joaquín  del Cerro Murciano
- File 57054.zip added

Lo he reproducido con la capa "BTN25_ETRS_BCN0107S_ZON_PRO_polygon", adjunta en el zip "57054.zip".

#2 - 05/08/2018 11:52 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4531: Projections for Portugal are not always recognized correctly added
http://osgeo-org.1560.x6.nabble.com/problemas-version-2-4-portable-td5363293.html


#3 - 05/08/2018 11:53 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 02/18/2019 04:57 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
57054.zip 12.6 KB 05/07/2018 Joaquín  del Cerro Murciano
